function onBegin()
	waitUntilOnGround()
	disableMovement()
	setFlag("teleporting",true)
	playMusic("event:/none")
	disableRetry()
	wait(1.5)
	playSound("event:/new_content/game/10_farewell/pico8_flag")
	wait(1.5)
	setFlag("teleporting",false)
	enableMovement()
	enableRetry()
	teleportTo(600,1104,"01","Jump")
end

function onEnd()
	enableMovement()
	enableRetry()
end